## net.sf.saxon.expr
Interface EvaluableItem

All Known Implementing Classes:
  Adjust, Aggregate, AnalyzeString, AnalyzeStringFunction, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicSequenceConverter, Atomizer, Available, AxisExpression, BaseURI, BinaryExpression, Block, BooleanExpression, BooleanFn, CallTemplate, CardinalityChecker, CastableExpression, CastExpression, Choose, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, Contains, ContextItemExpression, Copy, CopyOf, Current, CurrentDateTime, CurrentGroup, CurrentItemExpression, Data, DateTimeConstructor, DeepEqual, DefaultCollation, DistinctValues, Doc, DocAvailable, Doctype, Document, DocumentInstr, DocumentSorter, DynamicFunction, DynamicFunctionCall, EagerLetExpression, ElementCreator, Error, ErrorExpression, EscapeURI, Evaluate, Existence, Expression, ExtensionFunctionCall, FilterExpression, Find, FirstItemExpression, FixedAttribute, FixedElement, ForceCase, ForEach, ForEachGroup, ForEachGroupFunction, ForExpression, FormatDate, FormatNumber2, FunctionCall, GeneralComparison, GeneralComparison10, GeneralComparisonSA, GeneralVariable, GlobalParam, GlobalVariable, Id, IdentityComparison, Idref, IfExpression, Index, IndexedFilterExpression, IndexedLookupExpression, IndexOf, InScopePrefixes, Insert, InstanceOfExpression, Instruction, IntegerRangeTest, IsLastExpression, ItemChecker, KeyFn, Lang, Last, LazyExpression, LetExpression, Literal, LocalParam, LocalVariable, LocalVariableReference, Matches, Message, Minimax, NamePart, Namespace, NamespaceForPrefix, NegateExpression, NextMatch, Nilled, NormalizeSpace, NormalizeUnicode, NumberFn, NumberInstruction, NumericPromoter, ParentNodeConstructor, ParentNodeExpression, Parse, PathExpression, PatternMatchExpression, PatternSponsor, Position, PositionRange, ProcessingInstruction, QNameFn, QuantifiedExpression, QuerySimpleContentConstructor, RangeExpression, RegexGroup, Remove, Replace, ResolveQName, ResolveURI, ResultDocument, Reverse, Reverser, Root, RootExpression, Rounding, Serialize, SimpleContentConstructor, SimpleExpression, SimpleMappingExpression, SimpleNodeConstructor, SingleNodeExpression, SingletonAtomizer, SingletonComparison, SliceExpression, SortExpression, StaticBaseURI, StreamingCopy, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, Subsequence, Substring, SuppliedParameterReference, SystemFunction, SystemProperty, TailCallLoop, TailExpression, Tokenize, Trace, TraceExpression, TraceInstruction, TraceWrapper, Translate, TreatFn, Try, TupleExpression, TupleSorter, UnaryExpression, Unordered, UnparsedEntity, UnparsedText, UntypedAtomicConverter, UseAttributeSets, UserFunctionCall, ValueComparison, ValueOf, VariableReference, VennExpression, While, WithParam, XPathFunctionCall

    public interface EvaluableItem

This interface is a simple subset of the Expression interface, that provides a single method to evaluate the result of an expression as a single item

Method Summary
`Item` `evaluateItem(XPathContext context)` Return an item

Method Detail

### evaluateItem

    Item evaluateItem(XPathContext context)
                      throws XPathException

  Return an item

  Parameters:
    `context` - the dynamic evaluation context
  Returns:
    the item
  Throws:
    `XPathException`

Copyright (C) Michael H. Kay. All rights reserved.